summarylogtreecommitdiffstats
path: root/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'install.sh')
-rw-r--r--install.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/install.sh b/install.sh
new file mode 100644
index 000000000000..a0ac241d9fbf
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,19 @@
+_pkgname="skypeforlinux"
+_userns="kernel.unprivileged_userns_clone"
+
+post_install() {
+ userns="$(sysctl -n $_userns 2>/dev/null)"
+ if [[ $? -ne 0 || $userns -ne 1 ]]; then
+ echo -ne "\e[34;1m"
+ echo ===
+ echo === !!! WARNING !!!
+ echo ===
+ echo === $_userns is not set on this system.
+ echo === You will need to set it manually so $_pkgname can start.
+ echo ===
+ fi
+}
+
+post_upgrade() {
+ post_install
+}